<template>
    <div>
        <b-card border-variant="primary" header-bg-variant="primary"
                header-text-variant="white" header="Mitarbeiterkonto entfernen" class="text-center mx-auto"
                style="width: 20rem;  min-height:17rem; font-size: larger">
            <b-card-img src="src/assets/remove-user.png" img-top style="max-width:5rem;"></b-card-img>
            <b-button class="mt-4" style="font-size: large;" squared href="#" block variant="outline-primary"
                      @click="$bvModal.show('modalEntfernen')">
                Ein bestehendes Mitarbeiterkonto entfernen
            </b-button>
            <b-modal size="lg" ref="modalEntfernen" id="modalEntfernen" title="Mitarbeiter entfernen" hide-footer
                     centered>
                <p class="mt-2 mb-4">Bitte wählen Sie einen Mitarbeiter über dessen Personalnummer aus:</p>
                <b-row class="mt-2 mb-4 mx-auto">
                    <b-col class="my-auto pl-0" sm="4">
                        <b-label for="input-personalnummer">Personalnummer:</b-label>
                    </b-col>
                    <b-col class="my-auto pr-0" sm="8">
<!--                        <b-form-select v-model="nummer_selected" :options="nummer_optionen"-->
<!--                                       v-on:click="nutzerdaten_holen()"-->
<!--                        ></b-form-select>-->
                        <b-form-input v-model="input_personalnummer" id="input-personalnummer"
                                      placeholder=""></b-form-input>
                    </b-col>
                </b-row>
                <div v-if="input_personalnummer" style="height:3rem;">
                    <b-alert block show variant="warning" style="height:3rem;">
                        Der Nutzer mit der Personalnummer {{input_personalnummer}} wird dauerhaft gelöscht.
                    </b-alert>
                </div>
                <div v-else style="height:3rem;"></div>
                <b-row class="row-cols-2 mt-2">
                    <b-col>
                        <b-button block class="mt-3" @click="$bvModal.hide('modalEntfernen')">Abbrechen</b-button>
                    </b-col>
                    <b-col>
                        <b-button v-if="input_personalnummer" block variant="primary" class="mt-3"
                                  @click="$bvModal.hide('modalEntfernen') & $bvModal.show('modalAntwort') & abschicken()">
                            Fortfahren
                        </b-button>
                        <b-button disabled v-else block variant="outline-primary" class="mt-3" style="cursor: default;">
                            Fortfahren
                        </b-button>
                    </b-col>
                </b-row>
            </b-modal>
            <b-modal ref="modalAntwort" id="modalAntwort" centered size="xs" title="" hide-footer>
                {{this.modalAntwortText}}
                <b-button block variant="primary" class="mt-3"
                          @click="$bvModal.hide('modalAntwort')"
                >Fortfahren
                </b-button>
            </b-modal>
        </b-card>
    </div>
</template>

<script>

    import axios from 'axios';

    export default {
        data: function () {
            return {
                modalAntwortText: "",
                input_personalnummer: null,
            }
        },
        methods: {
            abschicken : async function()  {
                var inhalt = {
                    "Session": {
                        "CID": this.$store.state.sessionId
                    },
                    "Mitarbeiter": {
                        "Personalnummer": this.input_personalnummer,
                    }
                };
                var url = "http://127.0.0.1:5678/appServer/MitarbeiterEntfernen";
                var inhalt_json = JSON.stringify(inhalt);
                const {data, status} = await axios.post(url, inhalt_json);
                console.log(data);
                console.log(status);
                if (status !== 200) {
                    this.modalAntwortText = data.Response;
                } else {
                    this.modalAntwortText = "Konto erfolgreich entfernt!"
                }
            }
        }
    }

</script>